{-
https://projecteuler.net/problem=1
If we list all the natural numbers below 10 that are multiples of 3 or 5, we get 3, 5, 6 and 9.
The sum of these multiples is 23.

Find the sum of all the multiples of 3 or 5 below 1000.
-}
module Main where

import           Data.List (union)

main :: IO ()
main = print ans

ans :: Integer
ans = sum (_3s <> _5s)

_3s :: [Integer]
_3s = [3,6..999]

_5s :: [Integer]
_5s = [5,10..999]

solution :: Integer
solution = sum $ union _3s _5s
